Bug 34124 - univention-ucc-software-update should not try to install nonexistent packages
univention-ucc-software-update should not try to install nonexistent packages
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 1.0-errata
Assigned To: Erik Damrose
Moritz Muehlenhoff
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-14 08:28 CET by Janis Meybohm
Modified: 2014-02-19 13:57 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2014-02-14 08:28:48 CET
If the UCC Software policy contains packages that do not exist (moved out of repo, renamed etc.), univention-ucc-software-update tries to install them (apt-get update and apt-get install needed which takes time).

In addition to the check for a needed update/installation, univention-ucc-software-update should verify that the package actually exist.
Comment 1 Erik Damrose univentionstaff 2014-02-18 16:30:38 CET
Fixed in 
r47895 univention-corporate-client 1.0.24-5.83.201402181608
r47897 2014-02-18-univention-corporate-client.yaml
Comment 2 Moritz Muehlenhoff univentionstaff 2014-02-19 13:41:30 CET
Ok, non-existing packages are now quickly skipped.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-02-19 13:57:59 CET
http://errata.univention.de/ucc/1.0/31.html